Adapt the Unsafe Browser for the Windows 8 camouflage
First of all the unsafe-browser
script wasn’t updated to run the
Windows 8 camouflage activation script for the clearnet
user, so
it tries and fails to run the removed Windows XP
camouglage activation
script.
Second, even if we fix the above, the gsettings
/@dconf@ calls will
fail since there’s no dbus session for the clearnet
user.
Third, even with a dbus session, the Windows 8 camouglage activation
script seems to return failure, failing the unsafe-browser
start.
All in all, I think the following patch will fix everything:
--- a/config/chroot_local-includes/usr/local/sbin/unsafe-browser
+++ b/config/chroot_local-includes/usr/local/sbin/unsafe-browser
@@ -168,7 +168,7 @@ user_pref("lightweightThemes.isThemeSelected", true);
user_pref("lightweightThemes.usedThemes", "[{\"id\":\"1\",\"name\":\"Unsafe Browser\",\"headerURL\":\"file:///usr/share/pixmaps/red_dot.png\",\"footerURL\":\"file:///usr/share/pixmaps/red_dot.png\",\"textcolor\":\"#FFFFFF\",\"accentcolor\":\"#CC0000\",\"updateDate\":0,\"installDate\":0}]");
EOF
else
- chroot ${CHROOT} sudo -H -u clearnet tails-activate-winxp-theme
+ chroot ${CHROOT} sudo -H -u clearnet sh -c 'eval `dbus-launch --auto-syntax` && tails-activate-win8-theme' || :
fi
# Set the name (e.g. window title) of the browser
Feature Branch: bugfix/7329-unsafe-browser-with-win8-camouflage
Parent Task: #6342 (closed)
Subtasks
Original created by @anonym on 7329 (Redmine)